﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Avionte.Suite.Core.Data.Llbl.SqlServer;

public partial class Portal_UserControl_WebPortalMenu : System.Web.UI.UserControl
{
        
    public string StaffingSupplierGUID
    {
        get { return this.StaffingSupplierGUIDValue.Value; }
        set { this.StaffingSupplierGUIDValue.Value = value; }
    }

    public string MasterUserGUID
    {
        get { return this.MasterUserGUIDValue.Value; }
        set { this.MasterUserGUIDValue.Value = value; }
    }
    protected void Page_Load(object sender, EventArgs e)
    {        
    }

    public void Load()
    {
        LoadDropDown();
        LoadMainMenu();
        LoadGrid();
    }
    protected void LoadMainMenu()
    {        
        this.ddlMainMenu.DataSource =Menu.GetWebPortalMainMenu(StaffingSupplierGUID,ddlPortal.SelectedValue);
        ddlMainMenu.DataTextField = "MenuLabel";
        ddlMainMenu.DataValueField = "WebPortalMenuID";
        ddlMainMenu.DataBind();
        ListItem li = new ListItem();
        li.Text = "Main Menu";
        li.Value = "0";
        ddlMainMenu.Items.Insert(0, li);

        if (Session["ddlMainMenu_SelectedValue"] != null)
        {
            ddlMainMenu.SelectedValue = Session["ddlMainMenu_SelectedValue"].ToString();
        }
    }
    protected void LoadGrid()
    {
        if (ddlMainMenu.SelectedValue == "0")
        {
            this.GridMenu.DataSource = Menu.GetWebPortalMainMenu((StaffingSupplierGUID), ddlPortal.SelectedValue);
        }
        else
        {
            GridMenu.DataSource = Menu.GetWebPortalSubMenu((StaffingSupplierGUID), ddlPortal.SelectedValue, ddlMainMenu.SelectedValue);
        }
        GridMenu.DataBind();

        //add 
        try
        {
            for (int i = 0; i < GridMenu.Rows.Count; i++)
            {
                LinkButton be = (LinkButton)GridMenu.Rows[i].FindControl("LinkButton1");
                Label ll = (Label)GridMenu.Rows[i].FindControl("WebPortalMenuID");
                Label lg = (Label)GridMenu.Rows[i].FindControl("webportalmenuStaffingSupplierGUID");
                be.OnClientClick = "NewPortalMenu('" + StaffingSupplierGUID + "','" + ll.Text + "','" + lg.Text + "')";
            }
        }
        catch { }
        
    }
    //protected void GridAddress_ClickCellButton(object sender, Infragistics.WebUI.UltraWebGrid.CellEventArgs e)
    //{
    //    int i = e.Cell.Row.Index;

        
    //}
    //protected void GridAddress_InitializeLayout(object sender, Infragistics.WebUI.UltraWebGrid.LayoutEventArgs e)
    //{
    //    try
    //    {
    //        GridAddress.Bands[0].Columns.FromKey("WebPortalMenuID").Hidden = true;
    //        GridAddress.Bands[0].Columns.FromKey("PageName").Hidden = true;
    //        GridAddress.Bands[0].Columns.FromKey("WebPortalID").Hidden = true;
    //        GridAddress.Bands[0].Columns.FromKey("WebPortalMenustaffingsupplierguID").Hidden = true;
    //        GridAddress.Bands[0].Columns.FromKey("WebUserGUID").Hidden = true;
    //        GridAddress.Bands[0].Columns.FromKey("ParentID").Hidden = true;
    //        GridAddress.Bands[0].Columns.FromKey("Istask").Hidden = true;
    //        GridAddress.Bands[0].Columns.FromKey("Isactive").Hidden = true;
    //    }
    //    catch { }
        
    //}

    protected void LoadDropDown()
    {
        ddlPortal.DataSource = RetrievalProcedures.Wp_GetWebPortal_OnWebContext(CookieClass.GetValueFromCookie(CookieClass.USERGUID));
        ddlPortal.DataTextField = "RoleName";
        ddlPortal.DataValueField = "WebPortalID";
        ddlPortal.DataBind();

        if (Session["ddlPortal_SelectedValue"] != null)
        {
            ddlPortal.SelectedValue = Session["ddlPortal_SelectedValue"].ToString();
        }
    }
    protected void ddlPortal_SelectedIndexChanged(object sender, EventArgs e)
    {
        Session["ddlPortal_SelectedValue"] = ddlPortal.SelectedValue;
        Session["ddlMainMenu_SelectedValue"] = null;

        LoadMainMenu();
        LoadGrid();
    }
    protected void ddlMainMenu_SelectedIndexChanged(object sender, EventArgs e)
    {
        Session["ddlMainMenu_SelectedValue"] = ddlMainMenu.SelectedValue;
        LoadGrid();
    }


   
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        LoadGrid();
    }
}
